## spearofdestiny 1.6-2

=== Makefile ===
CONFIG ?= config.default
-include $(CONFIG)


BINARY    ?= spearofdestiny
PREFIX    ?= FINAL
MANPREFIX ?= $(PREFIX)

INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 555 -s
INSTALL_MAN     ?= $(INSTALL) -m 444
INSTALL_DATA    ?= $(INSTALL) -m 444


SDL_CONFIG  ?= sdl-config
CFLAGS_SDL  ?= $(shell $(SDL_CONFIG) --cflags)
LDFLAGS_SDL ?= $(shell $(SDL_CONFIG) --libs)


CFLAGS += $(CFLAGS_SDL)

#CFLAGS += -Wall
#CFLAGS += -W
CFLAGS += -Wpointer-arith
CFLAGS += -Wreturn-type
CFLAGS += -Wwrite-strings
CFLAGS += -Wcast-align
CFLAGS += -O2 -pipe


CCFLAGS += $(CFLAGS)
CCFLAGS += -std=gnu99
CCFLAGS += -Werror-implicit-function-declaration
CCFLAGS += -Wimplicit-int
CCFLAGS += -Wsequence-point

CXXFLAGS += $(CFLAGS)

LDFLAGS += $(LDFLAGS_SDL)
LDFLAGS += -lSDL_mixer
LDFLAGS += -lz -lSDL_image -lSDL_mixer 

SRCS :=
SRCS += fmopl.cpp
SRCS += id_ca.cpp
SRCS += id_in.cpp
SRCS += id_pm.cpp
SRCS += id_sd.cpp
SRCS += id_us_1.cpp
SRCS += id_vh.cpp
SRCS += id_vl.cpp
SRCS += signon.cpp
SRCS += wl_act1.cpp
SRCS += wl_act2.cpp
SRCS += wl_agent.cpp
SRCS += wl_atmos.cpp
SRCS += wl_cloudsky.cpp
SRCS += wl_debug.cpp
SRCS += wl_draw.cpp
SRCS += wl_floorceiling.cpp
SRCS += wl_game.cpp
SRCS += wl_inter.cpp
SRCS += wl_main.cpp
SRCS += wl_menu.cpp
SRCS += wl_parallax.cpp
SRCS += wl_play.cpp
SRCS += wl_state.cpp
SRCS += wl_text.cpp

DEPS = $(filter %.d, $(SRCS:.c=.d) $(SRCS:.cpp=.d))
OBJS = $(filter %.o, $(SRCS:.c=.o) $(SRCS:.cpp=.o))

.SUFFIXES:
.SUFFIXES: .c .cpp .d .o

Q ?= @

all: $(BINARY)

ifndef NO_DEPS
depend: $(DEPS)

ifeq ($(findstring $(MAKECMDGOALS), clean depend Data),)
-include $(DEPS)
endif
endif

$(BINARY): $(OBJS)
	@echo '===> LD $@'
	$(Q)$(CXX) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@

.c.o:
	@echo '===> CC $<'
	$(Q)$(CC) $(CCFLAGS) -c $< -o $@

.cpp.o:
	@echo '===> CXX $<'
	$(Q)$(CXX) $(CXXFLAGS) -c $< -o $@

.c.d:
	@echo '===> DEP $<'
	$(Q)$(CC) $(CCFLAGS) -MM $< | sed 's#^$(@F:%.d=%.o):#$@ $(@:%.d=%.o):#' > $@

.cpp.d:
	@echo '===> DEP $<'
	$(Q)$(CXX) $(CXXFLAGS) -MM $< | sed 's#^$(@F:%.d=%.o):#$@ $(@:%.d=%.o):#' > $@

clean distclean:
	@echo '===> CLEAN'
	$(Q)rm -fr $(DEPS) $(OBJS) $(BINARY)

install: $(BINARY)
	@echo '===> INSTALL'
	$(Q)$(INSTALL) -d $(PREFIX)/bin
	$(Q)$(INSTALL_PROGRAM) $(BINARY) $(PREFIX)/bin

## spearofdestiny 1.6-1

=== debian/changelog ===
spearofdestiny (1.6-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Wed, 21 Apr 2010 17:29:52 -0300

=== debian/control ===
Source: spearofdestiny
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libz-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev
Standards-Version: 3.7.2

Package: spearofdestiny
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Spear Of Destiny.
 Classic FPS game ported to Maemo 5. Sequel of Wolfestein 3D.
 Copy original game files (sod extension) to MyDocs/.spearofdestiny folder to play the game.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: Spear Of Destiny
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEFhE4Oar9xt4AAA9ZSURBVGjexZpZjxzXeYafU1Vd1VXVVd3T3dPL
 LNwpDilSlGmTthJYUQRHQaAYCBAgl8kPyE3+RX5CgNxEF7nNTRA4CGQ4Dhgw
 CrVRsriZHnI4+/QyvVR39VLLyQVPj1sjSpZoyymg0LN0VX3v+bb3/U4JfneH
 BphAVp22+l1X/wOQQAxMgQkQAmMgApIXeaj4HRlvABaQBxbVWQLcORAAqTJ+
 ABwCDaAJ9BWY9EUe/NseAsgABeAE8BJwHlhWIOxjAEZAC9gGHgEPgU3lhcn/
 BwBNGVkB1oDvo3HDz3vnixcmrp6boilPp0DSdWR3W4vDfnhvGqa3VEgN1TlV
 YfatA9DUtbPQWVSrv6ZjvPHKj70L1/82wKsnCP3zF6bRRCRTMps/d6/+7O9F
 pnfY31YeaKjQ+tYB6MroHOABPrCkwmatsOyePvm9LGgdoucGRCIRiNU/Dnjp
 nlh8/5+oqvsYL5KTLwIgM2f0igqdZeAscD5iagwOPGq6+LLFFADxSNB9Ypkw
 zqmqlfl9ABDqYYsq3i+rs6T+VhdC0NkR7Py8wsLVA/Irzy60DJApTGIQGrTv
 WwTbWR3GWeXR+XL7rQHQ5xL2vK7rf/Laa699dzAYpHfu3EkAaeiCoDeh+8Rh
 0j6BvBQSuW2SrVU0XZC/skWspXQ/rKObbV0tiPmiIaS9wPezqmQulcvll3d2
 dsS5c+d09XAhgSSGfm/C+v0RD//TJm4V2L4refi/Efvvl+huwls/vkgmq2VU
 r5iB0L5tALOa7wClXq+Xqdfr1Ov1Z//UEGevLwhdQ37n+4ucOpNjMknY+iWM
 RglJItldf5YXaYysnsoZlqs7KoSMuX7xrXrAUKtlCyFEGIZMJpMjdDKFyqot
 wiDi4tUSS6suTpTn9DmfM+c9xNgBTOqrrrj8vTJW1hDqvuL3kcSaOjPzLo/j
 WPlHYDkahi7kp/8Wi/GowQ//uoCfLyBTaOyHHH42JQ4W5ejqWAy6U8ZhLFW5
 kt+0B7wogBlhc76wYlLK9Q878sJrJe3qGwU2P+7xi5s9cgs6qRHjCpdXX63x
 vb+sCse15O2f7hJP05nztG+7Cs0qhg8sAAtCPLM/DEOEEFqaymT/fhAvr/nm
 4rWE5asFWo0xpqlx8kyBaJKQdQyqS/DZnX2efNRN54rCgrr3jK3GX9eor2u4
 B9RVx30V+O7q6qqdyWQwTVNevnxZPHjwIAW0wqqjjUcJ+5shWxsDVk7kKNWz
 /ORfnhBPE6Jhwt7ugIe3+locR5pio+NjRn+tsNJ/Q8WxVJkrq667poy/Dqzk
 83lD13VKpZIwTZN79+5RKdd0pw5+wRSTaYI2yNNrmax/EmNKC1/fw6ksyM8+
 amONyrRaLVstziyvrDm7pOKA6YsAyB7jOa8AN4AfAC8LIaxyuaxdu3aNtbU1
 xuMxm5ubmmVmwZsKr5CR5Zot+kHIcrZB2e2wM9Sonc7RakfiYDsUvqwLx3HE
 ZDIpTKfTZRVKOZVfs/BOZkT2ed74MgAzcXJCUYUbwA+BPzAMY83zPLNWq2lS
 SgkIKSVxHIvt7W1hZHQBEEYTUV9xqa5mCXSXseNx4qxJLHU2ftVjuKtT9Vbx
 fE8Ui0Xhuq49GAxWkyRZUQuXVfbFc4rtCyD0LyFrnlr5K8BrwBu2bV83TbO4
 uLgoTNN8xu/TVBweHjIYDCiVSmxvbyOEgIkFY4NBP2E0kERBQhLCuC/Y+2VE
 2slzKn8JN2eTz+ep1WqUSiVZqVSEbdu5fr+/GsdxSdknldB5rvQ0viTui4pd
 XgN+aJrm5XK5jKo6MkkSIYQg7E8pVfNsbu7y8toraBpIKcmYAi2xmO7rtA8E
 juOg6QIhBHnfZ7Faxfd9bNtGSokQAsdxBEAul5Oe52U2Nzcv7uzsLKi8mEnR
 aM4jzwVgqtBZBS4BNyzLulSpVAjDUAwGAymEEF7OxylLTl3N4PZr/PhvrrBz
 sI6MDbJuhmw2S5qmpGmKlJLxeEyapqytrSGEwLZtHMfBsiwMw1A9UGAYBqPR
 iFwuJ4rFotR1vb65ufm6UmtdIFCSNJ6Fkv4cnr86Cx1N035QLpft4XAoMpmM
 dBxHGJrBJBpx6g9t3LzBpx9t0Ww3qV2Azl6ElloIIfA8j4WFBYrFItVqlUql
 QiaToVgsksvlqFar2LZ9dOq6TjabxXEckclkAITneQRBkB8MBgnQVlp6VnLT
 eQ/oKvurSpS/CnzHtu28qvNomibiOKZYLDI0W8gUzl8u8safnSTojvmff28y
 GUA2o1EoFPA8D9d1KRQKRFGEpmn4vo9pmuTz+VnjJkkS2u02ANPplEajgWVZ
 M/AyTVPx7rvvvhTH8Rngl8AO0Jv1DH2u6tSORDn8ka7ra2maMh6PtdFoRDab
 xfM8EhFhlEYgBZ32mIypcfkHFW7+x1P+6u/OsPFBSs73cGyHYrE4K6+Uy2Wy
 2SyqYjGdTmm1WgwGAwDu3LmDruvU63VKpRKtVovhcChs25bNZtMOgqALPAUO
 FIDpvAeyqsuuAdcMw7i4srKiGYYhLcuSSZKIRqOBa3t0aZGLdPKLGuNRwq13
 d/jkvQbDMMbJ6zhVSRwkhIRsbW0xGAyIooj9/X2KxSKtVgshBL7v0263cV2X
 9fV1lpaWcF0XANu2OXv2LK1WSzYaDZHP59nZ2akrupFTuSoAeRzABSHE5Xq9
 ngmCAMuyRLfbpVwu8+abb3Ji9ST//JN/RMY6SMH116u8fK3CzkafOEoo1hxW
 zo95+F9D9LEgiiK2tra4ceMGp06d4ubNm8RxTCaT4cyZM+zt7bG3t4fneUgp
 6ff75PN5LMtCSonv+2J3dxfTNKVlWbXJZJJTinCm3qQ2F0JlYLlSqVRarZbQ
 dV1qmobjOLz99tu4rsuv1h/R2QwxfI1+M+LT2w1++q+PGQ0jLr5SJp5Ith93
 abab9Ho94jhG0zRu3LiB67qcO3eObDbLW2+9xfvvv8+DBw9wXZdLly4dJfZ4
 PGY4HP66Uem6fFakxIzGf047G3OfOWAhCAIuXbpEsVgUUkry+Tzdbpfd3V1a
 rRY526O7EWKXTbzEZPfpkMZuyP1PW7hGgSun3iA9/Iy9vT12d3fxfZ/19XWa
 zSbr6+tkMhk+/PBD3nzzTd555x3OnTtHmqbEcYyUklKphOM4R6VV0zQxN9WL
 5qjF5wDMeH5GXcTHH3/MlStX2Nvb49GjR7iui5SSvLdAs7WLZuuM+jGJkIiM
 oPNI8Bc/+hG1Wo0Ty6cJgoBOp8OdO3e4desWnucxHo+xbZvbt29z+/ZtXNcl
 DEOiKCKfz1OpVDAMg2cMBcbjMaPRSA6HQ5EkSaJ6QTjPWucbWQKkuVyOvb09
 stksg8GA4XCIlJLRaMR0OsXzc0zGRZLelNCQ9Lt9upshf/rWnzMej2m1WpRK
 JVzXJZ/Pc/r0aTqdDg8fPqRardJqtXAch0qlgmmaR/1hZvRMYyRJgqZpHBwc
 iKdPn8ZRFN1UvaCvPCE5xvjGQoixlBJd16Wu62I0GhEEAZlMBk3TEEIQxzEr
 J1Z46aWXuPuL+zx5vI8QOkHQo91uE0UR4/GYarV6FBa5XI7r16+j6zrj8ZhG
 o4Gu65imSRRFCCHIZDIcHh6ytLREHMeEYSg1TRNBEBDH8QbwBNhVXpgcBxAB
 gZTycDQaTVzXtcIwlKZpCk3TSJKEMAyxbZskSYiiiIWFBe4/vKsaUsKTJ0/w
 ff+IDvT7fcrlMgsLCxiGwXQ6JY5jdF3H9/1nPUWtcr/fJ5PJsLCwwGAwwDRN
 PM8T6+vrMooikabp8fnpF7jQRLlnJ0mSrqZplcPDQ+F5npRSCiHEUauv1Wos
 Ly+zt7d3NI0A2N7exjAMLl68iOu6NBoNer0exWKRUqmEYRgMBgPq9TqTyYTJ
 ZEKxWKTdbrOwsMBwOCSKIhzHodPpYFmWbDab4t69ez3VvBpq9UfzSazPfbqA
 G0WRD5xM01Tkcjkx4/wAhmHIXC4nHj16xM2bN2Wapp8T9f1+n06ng5QSz/No
 NBrs7+8zHA6J45g0TTFNk4ODgyMm2mw20TQNXdcZjUZIKen1erTbbfHBBx/I
 VqvVB+4Ad9WeQv95AMRcfdUmk0k2SZKVbDaLaZrCtm1M0yQIAvH06VO5s7PD
 dDr9wgxHSkkYhrRarVkjYjgcEgQBUkoqlQoHBwdomkYURRweHjKZTBgOh+zu
 7mJZFnfv3kVKydbWFg8ePBCZTKYfRdFHaiNk7/gIXsyF0kw+XlAq7AKwJoSo
 SCkt13XdyWRiqBmQ9nUGAr7vH4WHEIJqtUq5XMY0TSzLQtO0z5XNGf3udDry
 8ePHYnd3F9d1N4IgeAf4GXBfhbo8ngOJQnag3NMDNoCPpZQFwB8OhzXglBI6
 eXWTr5yk9ft9+v0+lmUxmUwIgoBut4vruliWheM4ZLNZfN8niiK63S69Xo8w
 DMVwOJS5XC4NgmBbGT2YL5/HAUjF7nrqSz1FW/1Zbii2elEB/I5q688fZyiy
 pus63W73aHLnui7b29vkcjlyuRxp+iyUNU0jjmO63S5JkmBZFrVaTWxsbByq
 Vd+fZ6BfJSlnA6VQZXxGnVkVXqjNjLWvAjBrfLZtUygUODw8RMlFut0ug8Hg
 iEZ/bpKgvPL666/LZrMpNjY2doAtFRnB1wEwvxU6nRu4zthfVamisfLOlx7T
 6fSI4wghkFIyHA45e/Ys3W73qC/MDM/n85w8eZJLly5Jy7LErVu3UEl7AHTU
 oibfdLQ4m4xFyuhAuXJ0/IuO4xCG4a/FtWkynU6PPAIQBAGlUolTp04907BK
 7ZmmSa1Ww3VdoigS7733Hp1OJzymg6MXHS0e18wVpZvrMw8JIeSZM2dEEAQk
 SXKke2cTB03TjkpnEARks1k0TcM0zSN60mw2j3pCmqZsbW1N0zS9r8rntgLy
 jT0wf0SqiewDj1UeFAC5vLwsTNPEdV00TWNpaYlisUgQBARBwGg0IkkSkiSh
 Wq3iOA5pmhKGIZb1bAhgWRarq6ucPXtWtttt8cknn+iHh4fT37R7/008IOZo
 t6U+a7VazVxeXkbXn91qcXGR5eVl8vk8vu9TKBSOxP3S0hKaph3Rhlk18n2f
 xcVFVlZWcBxHOI5Dr9cztra2/lvt5h98mQfENwSQm0lPNbl4Rc1KZ+9D/Lbv
 Xsi51xEi4B+ADxSI5vPywPiGNx+rKqSpn3eBD1Vje6FNuuc8I1ahuqPC9eA4
 gftt31aZbfJ5ynBP9Qnjd/AGjJybhc6mcb2veo/i/wAUfeu3hxl0WQAAAABJ
 RU5ErkJggg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/spearofdestiny.sgml > spearofdestiny.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/spearofdestiny.
	cp $(CURDIR)/spearofdestiny.sh $(CURDIR)/debian/spearofdestiny/usr/bin/spearofdestiny
	cp $(CURDIR)/spearofdestiny.desktop $(CURDIR)/debian/spearofdestiny/usr/share/applications/hildon/spearofdestiny.desktop
	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/spearofdestiny/usr/share/icons/hicolor/48x48/hildon/spearofdestiny.png
	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/spearofdestiny/usr/share/icons/hicolor/64x64/hildon/spearofdestiny.png
	cp $(CURDIR)/spearofdestiny $(CURDIR)/debian/spearofdestiny/opt/spearofdestiny/spearofdestiny

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## spearofdestiny 1.6-2

=== debian/changelog ===
spearofdestiny (1.6-2) unstable; urgency=low

  * Data files folder now can be MyDocs/.spearofdestiny or MyDocs/spearofdestiny
  * Fixed keyboard support

 -- CepiPerez <cepiperez@gmail.com>  Sat, 24 Apr 2010 09:38:15 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Spear Of Destiny.
  Classic FPS game ported to Maemo 5. Sequel of Wolfestein 3D.
- Copy original game files (sod extension) to MyDocs/.spearofdestiny folder to play the game.
+ Copy original game files (sod extension) to MyDocs/.spearofdestiny or MyDocs/spearofdestiny folder to play the game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XSBC-Maemo-Display-Name: Spear Of Destiny
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -61,6 +61,8 @@
 	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/spearofdestiny/usr/share/icons/hicolor/48x48/hildon/spearofdestiny.png
 	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/spearofdestiny/usr/share/icons/hicolor/64x64/hildon/spearofdestiny.png
 	cp $(CURDIR)/spearofdestiny $(CURDIR)/debian/spearofdestiny/opt/spearofdestiny/spearofdestiny
+	cp $(CURDIR)/keyon $(CURDIR)/debian/spearofdestiny/opt/spearofdestiny/keyon
+	cp $(CURDIR)/keyoff $(CURDIR)/debian/spearofdestiny/opt/spearofdestiny/keyoff
 
 # Build architecture-independent files here.
 binary-indep: build install
